Skip to main content
Version: 2025-12-18

Download the file associated with a Recontact upload job

GET 

/demand/accounts/{account_id}/projects/{project_id}/target-groups/{target_group_id}/recontacts/jobs/upload-respondents-by-file/{job_id}/download

This endpoint downloads the uploaded file for the specified recontact upload job. The response is returned as a binary file attachment.

The attachment filename is derived from the original file name provided at upload time, sanitized for safe use in HTTP headers (non-alphanumeric characters other than dots, hyphens, and underscores are replaced with underscores). If the original file name is unavailable or invalid, the filename is derived from the internal storage key.

Request

Responses

The file content of the recontact upload job.

Response Headers
    Content-Disposition

    Contains the resolved file name as an attachment. The filename is sanitized from the original upload name, or derived from the storage key if the original is unavailable. Example: attachment; filename="my-recontacts.txt"